Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon.lib
Class StandardUnparsedTextResolver

    java.lang.Object
      net.sf.saxon.lib.StandardUnparsedTextResolver

All Implemented Interfaces:
  Serializable, UnparsedTextURIResolver

    public class StandardUnparsedTextResolver

extends Object
implements UnparsedTextURIResolver

Default implementation of the UnparsedTextURIResolver, used if no other implementation is nominated to the Configuration.

See Also:
  Serialized Form

Constructor Summary
`StandardUnparsedTextResolver()`

Method Summary
`Reader` | `resolve(URI absoluteURI, String encoding, Configuration config)` Resolve the URI passed to the XSLT unparsed-text() function, after resolving against the base URI.
`void` | `setDebugging(boolean debug)` Set debugging on or off.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StandardUnparsedTextResolver

    public StandardUnparsedTextResolver()

Method Detail

### setDebugging

    public void setDebugging(boolean debug)

  Set debugging on or off. In debugging mode, information is written to System.err to trace the process of deducing an encoding.

  Parameters:
    `debug` - set to true to enable debugging

### resolve

    public Reader resolve(URI absoluteURI,
                          String encoding,
                          Configuration config)
                   throws XPathException

  Resolve the URI passed to the XSLT unparsed-text() function, after resolving against the base URI.

  Specified by:
    `resolve` in interface `UnparsedTextURIResolver`
  Parameters:
    `absoluteURI` - the absolute URI obtained by resolving the supplied URI against the base URI
    `encoding` - the encoding requested in the call of unparsed-text(), if any. Otherwise null.
    `config` - The configuration. Provided in case the URI resolver needs it.
  Returns:
    a Reader, which Saxon will use to read the unparsed text. After the text has been read, the close() method of the Reader will be called.
  Throws:
    `XPathException` - if any failure occurs
  Since:
    8.9

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004-2011 Saxonica Limited. All rights reserved.